package majordomo;

import java.rmi.*;
import majordomo.*;
import java.sql.*;

public class ListaCollection extends GenericRemoteCollection
{
    public ListaCollection(String dataSource) throws RemoteException
    {
        super(dataSource);   
    }

    protected String tableName() { return "List"; }

    public int remove() throws RemoteException
    {
        // No Implementado !!!
        return 0;
    }

    public int add(Object o) throws RemoteException
    {
        // No Implementado !!!
        return 0;
    }

    public Object nextElement() throws RemoteException
    {
        if (rs == null)
            return null;               

        try {
            if (rs.next())
            {
                // Construir un nuevo objeto Lista y enviarlo
                return new Lista(   rs.getString("nombre"),
                                    rs.getString("email"),
                                    rs.getString("adminpasswd"));
            }
        } catch (SQLException e)
        {
            System.err.println("Error: " +e);
            e.printStackTrace();
        }
        return null;
    }

}
