
import java.awt.*;
import java.applet.*;
import majordomo.*;
import java.rmi.*;
import java.util.Date;


public class SendMsgApplet extends Applet {
	void button1_Clicked(Event event) {
        try {
            RemoteCollection Mensajes = (RemoteCollection)Naming.lookup(
                    "//127.0.0.1/MsgCollection");

            Mensajes.first();

            String mmm = textArea1.getText();

            Msg m = new Msg(new Long(System.currentTimeMillis()).toString(),
                    "N",
                    choice1.getSelectedItem(),
                    textField2.getText(),
                    textField1.getText(),
                    textField3.getText(),
                    mmm.replace('\n','_')
                    );
            Mensajes.add( m );

        } catch (Exception e)
        {
            System.err.println("Error: "+e);
            e.printStackTrace();
        }
                        

	}


	public void init() {
		super.init();

		//{{INIT_CONTROLS
		setLayout(null);
		addNotify();
		resize(422,473);
		setBackground(new Color(16777215));
		choice1 = new java.awt.Choice();
        initChoice();
        add(choice1);
        choice1.reshape(112,53,119,100);
		choice1.setBackground(new Color(16777215));
		label1 = new java.awt.Label("Lista");
		label1.reshape(28,53,77,22);
        label1.setFont(new Font("Dialog", Font.PLAIN, 16));
		add(label1);
		textField1 = new java.awt.TextField();
		textField1.reshape(112,90,119,23);
        Date now = new Date();
        textField1.setText(
            now.getDate()+"/"
            + (new Integer(now.getMonth()+1).toString())+"/"
            +now.getYear());
		add(textField1);
		label2 = new java.awt.Label("Fecha");
		label2.reshape(28,90,70,15);
		label2.setFont(new Font("Dialog", Font.PLAIN, 16));
		add(label2);
		textField2 = new java.awt.TextField();
		textField2.reshape(112,128,280,23);
		add(textField2);
		label3 = new java.awt.Label("Remite");
		label3.reshape(28,128,70,15);
		label3.setFont(new Font("Dialog", Font.PLAIN, 16));
		add(label3);
		textField3 = new java.awt.TextField();
		textField3.reshape(112,165,280,23);
		add(textField3);
		label4 = new java.awt.Label("Subject");
		label4.reshape(28,165,70,15);
		label4.setFont(new Font("Dialog", Font.PLAIN, 16));
		add(label4);
		textArea1 = new java.awt.TextArea();
		textArea1.reshape(28,225,367,161);
		add(textArea1);
		button1 = new java.awt.Button("Enviar");
		button1.reshape(168,428,88,25);
		add(button1);
		label5 = new java.awt.Label("Mensaje");
		label5.reshape(28,203,70,15);
		label5.setFont(new Font("Dialog", Font.PLAIN, 16));
		add(label5);
		//}}
	}

	public boolean handleEvent(Event event) {
		if (event.target == button1 
		    && event.id == Event.ACTION_EVENT) {
			button1_Clicked(event);
		}
		return super.handleEvent(event);
	}

    private void initChoice()
    {
        try {
            RemoteCollection listas = (RemoteCollection)Naming.lookup(
                    "//127.0.0.1/ListaCollection");

            listas.first();
            Lista l;
            while ((l = (Lista)listas.nextElement()) != null)
            {
                choice1.addItem(l.getNombre());
            }
            listas.close();
        } catch (Exception e)
        {
            System.err.println("Error: "+e);
            e.printStackTrace();
        }
    }

	//{{DECLARE_CONTROLS
	java.awt.Choice choice1;
	java.awt.Label label1;
	java.awt.TextField textField1;
	java.awt.Label label2;
	java.awt.TextField textField2;
	java.awt.Label label3;
	java.awt.TextField textField3;
	java.awt.Label label4;
	java.awt.TextArea textArea1;
	java.awt.Button button1;
	java.awt.Label label5;
	//}}
}
