package majordomo;

import majordomo.*;
import java.rmi.*;
import java.rmi.server.*;


public class Server
{
    public static void main(String args[])
    {
        System.setSecurityManager(new RMISecurityManager());

        try {
            ListaCollection lc = 
		new ListaCollection("Base de Datos de Majordomo");
            Naming.rebind("//127.0.0.1/ListaCollection",lc);

            MsgCollection mc = 
		new MsgCollection("Base de Datos de Majordomo");
            Naming.rebind("//127.0.0.1/MsgCollection",mc);
        } catch (Exception e)
        {
            System.err.println("Error: "+e);
            e.printStackTrace();
        }
    }
}
